POMDP Solver

Classes | Functions
pomdp_solver Namespace Reference

This is a script developed to automate the calculation of a policy satisfying a property for a given pomdp model. More...

## Classes
class | PMC
| Class to explire and export a pMC model. More...
class | POMDP
| Class to build and explore a POMDP model. More...

## Functions
def | solve_pomdp (model, properties, memory_size=2, drn_export_file="temp.drn", export_instatiated_model=False)
| Function to automate the calculation of a policy for a pomdp model using Storm and Gurobi. More...

## Detailed Description

This is a script developed to automate the calculation of a policy satisfying a property for a given pomdp model.

This script contains the solve_pomdp function for an automated way to calculate a policy. The script also contains the POMDP and PMC classes that provide functionalities to explore the POMDP and pMC models respectively.

This script requires the following tools: Storm, Stormpy, Carl, Pycarl, Gurobi

This script uses the solve_nominal_pomdp script provided by Nils Jansen (n.jan.nosp@m.sen@.nosp@m.scien.nosp@m.ce.r.nosp@m.u.nl) and Marnix Suilen (marni.nosp@m.x.su.nosp@m.ilen@.nosp@m.ru.n.nosp@m.l) of the Radboud Univeristy.

Created by Anass Fakir (a.fak.nosp@m.ir@s.nosp@m.tuden.nosp@m.t.ru.nosp@m..nl).

## Function Documentation

## ◆ solve_pomdp()

def pomdp_solver.solve_pomdp | ( |  | model,
|  |  | properties,
|  |  | memory_size = `2`,
|  |  | drn_export_file = `"temp.drn"`,
|  |  | export_instatiated_model = `False`
| ) |  |

Function to automate the calculation of a policy for a pomdp model using Storm and Gurobi.

Parameters

  model | Path to a pomdp model
  properties | String of a property that the calculated policy must satisfy.
  memory_size | Integer for the memory size that is unfolded in the pomdp model.
  drn_export_file | File to which the pMC model will be written in the DRN format.
  export_instantiated_model | Boolean to indicate whether to export the instantiated pMC model.